## aprx 2.08.svn593+dfsg

=== Makefile ===
#
#  APRX -- 2nd generation receive-only APRS-i-gate with
#          minimal requirement of esoteric facilities or
#          libraries of any kind beyond UNIX system libc.
#
# Note: This makefile uses features from GNU make

# -------------------------------------------------------------------- #

# target paths
VARRUN=		/var/run	# directory for aprx.state and pid-file
VARLOG=		/var/log/aprx	# directory for direct logfiles
CFGFILE=	/etc/aprx.conf	# default configuration file
SBINDIR=	/usr/sbin	# installation path for programs
MANDIR=		/usr/share/man	# installation path for manual pages

# -------------------------------------------------------------------- #

srcdir = .



PROF=		# used by 'make profile'

# Compiler and flags
CC=		gcc
CFLAGS=		-Wall -g -O2 -pthread

# Linker and flags
LD=		gcc
LDFLAGS=	-Wall -g -O2 -z noexecstack $(PROF)
datarootdir=	${prefix}/share

INSTALL=	$(srcdir)/install-sh
INSTALL_PROGRAM=$(INSTALL)  -m 755
INSTALL_DATA=	$(INSTALL)  -m 644

# -------------------------------------------------------------------- #
# no user serviceable parts below 
# -------------------------------------------------------------------- #

# strip extra whitespace from paths
VARRUN:=$(strip $(VARRUN))
VARLOG:=$(strip $(VARLOG))
CFGFILE:=$(strip $(CFGFILE))
SBINDIR:=$(strip $(SBINDIR))
MANDIR:=$(strip $(MANDIR))

# generate version strings

VERSION    = 2.08
SVNVERSION = $(shell cat SVNVERSION)
versionupdate := $(shell if [ "$(PKG_REV)-$(PKG_RELEASE)" != "-" ]; then echo "$(PKG_REV)-$(PKG_RELEASE)" > SVNVERSION; fi)

# VERSION:=$(shell cat VERSION)
# SVNVERSION_CMD:=$(shell which svnversion)
# SVNVERSION:=$(shell if ${SVNVERSION_CMD} > /dev/null 2>&1  \&\& test -x ${SVNVERSION_CMD} -a \( -d .svn -o -d ../.svn -o -d ../../.svn \)  ; then ${SVNVERSION_CMD} | tee SVNVERSION ; else cat SVNVERSION; fi)

DATE:=$(shell date +"%Y %B %d")
RFCDATE:=$(shell date +"%a, %d %b %Y %H:%M:%S %z")

DEFS=	-DAPRXVERSION="\"2.08r$(SVNVERSION)\"" \
	-DVARRUN="\"$(VARRUN)\"" -DVARLOG="\"$(VARLOG)\"" \
	-DCFGFILE="\"$(CFGFILE)\""

# program names
PROGAPRX=	aprx
PROGSTAT=	$(PROGAPRX)-stat

LIBS=		-lrt  -lutil    -lm -pthread  -lrt
OBJSAPRX=	aprx.o ttyreader.o ax25.o aprsis.o beacon.o config.o	\
		netax25.o erlang.o aprxpolls.o telemetry.o igate.o	\
		cellmalloc.o historydb.o keyhash.o parse_aprs.o		\
		dupecheck.o  kiss.o interface.o pbuf.o digipeater.o	\
		valgrind.o filter.o dprsgw.o  crc.o  agwpesocket.o	\
		netresolver.o timercmp.o #ssl.o

OBJSSTAT=	erlang.o aprx-stat.o aprxpolls.o valgrind.o timercmp.o

# man page sources, will be installed as $(PROGAPRX).8 / $(PROGSTAT).8
MANAPRX := 	aprx.8
MANSTAT := 	aprx-stat.8

OBJS=		$(OBJSAPRX) $(OBJSSTAT)
MAN=		$(MANAPRX) $(MANSTAT)

# -------------------------------------------------------------------- #

.PHONY: 	all
all:		$(PROGAPRX) $(PROGSTAT) man aprx.conf aprx-complex.conf

valgrind:
		@echo "Did you do 'make clean' before 'make valgrind' ?"
		make all CFLAGS="${CFLAGS} -D_FOR_VALGRIND_"

profile:
		@echo "Did you do 'make clean' before 'make profile' ?"
		make all PROF="-pg"


$(PROGAPRX):	$(OBJSAPRX) VERSION Makefile
		$(LD) $(LDFLAGS) -o $@ $(OBJSAPRX) $(LIBS)

$(PROGSTAT):	$(OBJSSTAT) VERSION Makefile
		$(LD) $(LDFLAGS) -o $@ $(OBJSSTAT) $(LIBS)

.PHONY:		man
man:		$(MAN)

.PHONY:		doc html pdf
doc:		html pdf
pdf:		$(MAN:=.pdf)
html:		$(MAN:=.html)

# -------------------------------------------------------------------- #

.PHONY:	install install-deb
install: all
	$(INSTALL_PROGRAM) $(PROGAPRX) $(DESTDIR)$(SBINDIR)/$(PROGAPRX)
	$(INSTALL_PROGRAM) $(PROGSTAT) $(DESTDIR)$(SBINDIR)/$(PROGSTAT)
	$(INSTALL_DATA) $(MANAPRX) $(DESTDIR)$(MANDIR)/man8/$(PROGAPRX).8
	$(INSTALL_DATA) $(MANSTAT) $(DESTDIR)$(MANDIR)/man8/$(PROGSTAT).8
	if [ ! -f  $(DESTDIR)$(CFGFILE) ] ; then \
		$(INSTALL_DATA) aprx.conf $(DESTDIR)$(CFGFILE) ; \
	else true ; fi

.PHONY: clean
clean:
	rm -f $(PROGAPRX) $(PROGSTAT)
	rm -f $(MAN) $(MAN:=.html) $(MAN:=.ps) $(MAN:=.pdf)	\
	rm -f aprx.conf	 logrotate.aprx
	rm -f *~ *.o *.d

.PHONY: distclean
distclean: clean
	rm -f config.log config.status config.h
	rm -rf autom4te.cache *.log* doc/.~*#

# -------------------------------------------------------------------- #

%.o: %.c VERSION Makefile
	$(CC) $(CFLAGS)  $(PROF) $(DEFS) -c $<
	@$(CC) -MM $(CFLAGS) $(PROF) $(DEFS) $< > $(@:.o=.d)

$(MAN:=.html): %.html : %
	sh man-to-html.sh $< > $@

$(MAN:=.ps): %.ps : %
	groff -man $< > $@

$(MAN:=.pdf): %.pdf : %.ps
	ps2pdf $<

logrotate.aprx $(MAN) aprx-complex.conf aprx.conf: % : %.in VERSION Makefile
	perl -ne "s{\@DATEVERSION\@}{$(VERSION) - $(DATE)}g;	\
	          s{\@VARRUN\@}{$(VARRUN)}g;			\
	          s{\@VARLOG\@}{$(VARLOG)}g;			\
	          s{\@CFGFILE\@}{$(CFGFILE)}g;			\
		  print;"					\
	 < $< > $@

# -------------------------------------------------------------------- #

#
# Following is for the original author only...
#

DISTVERSION:=aprx-$(VERSION).svn$(SVNVERSION)
DISTTARGET:=../$(DISTVERSION)
RPMVERSION:=$(shell echo "${DISTVERSION}" | sed -e 's/aprx-//')
.PHONY: dist svnversion-test

svnversion-test:
	# Special for the source maintainer only..
	@sh svnversion-test.sh $(SVNVERSION)

dist:	svnversion-test
	if [ ! -d $(DISTTARGET) ] ; then	\
		mkdir $(DISTTARGET) ;		\
	fi
	tar cf - --exclude-backups --exclude-vcs --exclude=windows --exclude=*.log* --exclude=*.conf . | (cd $(DISTTARGET) ; tar xf -)
	echo "$(DISTVERSION)" > $(DISTTARGET)/VERSION
	perl -ne "\$$ver = '$(DISTVERSION)'; 	\
		  \$$ver =~ tr/0-9.//cd;	\
		  \$$ver .= '-1';		\
		  s{\@VERSION\@}{\$$ver}g;	\
		  s{\@RFCDATE\@}{$(RFCDATE)}g;	\
		  print;"			\
		  < $(DISTTARGET)/debian/changelog.release	\
		  > $(DISTTARGET)/debian/changelog
	rm -f $(DISTTARGET)/debian/changelog.release
	rm -f $(DISTTARGET)/aprx.spec
	perl -ne "s{\@VERSION\@}{$(RPMVERSION)}g;	\
		  s{\@DATE0\@}{$(DATE0)}g;		\
		  print;"				\
		  < $(DISTTARGET)/rpm/aprx.spec.in	\
		  > $(DISTTARGET)/aprx.spec
	rm -f $(DISTTARGET)/rpm/aprx.spec.in
	make -C $(DISTTARGET) distclean
	cd .. && 	\
	tar czvf $(DISTVERSION).tar.gz $(DISTVERSION)

# -------------------------------------------------------------------- #

.PHONY: make-deb make-rpm

make-deb:
	if [ -f debian/changelog.release ] ; then \
	perl -ne "\$$ver = '$(DISTVERSION)'; 	\
		  \$$ver =~ tr/0-9.//cd;	\
		  \$$ver .= '-1';		\
		  s{\@VERSION\@}{\$$ver}g;	\
		  s{\@RFCDATE\@}{$(RFCDATE)}g;	\
		  print;"			\
		  < debian/changelog.release	\
		  > debian/changelog ; \
	fi
	dpkg-buildpackage -b -us -uc -rfakeroot

make-rpm: # actually just a reminder of how to do it..
	rpmbuild --target i386 -ta ../$(DISTVERSION).tar.gz 

# -------------------------------------------------------------------- #

# include object depencies if available
-include $(OBJS:.o=.d)

=== debian/changelog ===
aprx (2.08.svn593+dfsg-2) unstable; urgency=medium

  * remove timezone-varying timestamps from the generated manpages
    fixes "reproducible builds" (Closes: #795441)

 -- Colin Tuckley <colint@debian.org>  Tue, 18 Aug 2015 16:38:40 +0100

aprx (2.08.svn593+dfsg-1) unstable; urgency=medium

  * Remove firmware directory since no licence or sources
  * Add licences for ssl.* to debian/copyright (Closes: #794819)

 -- Colin Tuckley <colint@debian.org>  Tue, 11 Aug 2015 17:55:20 +0100

aprx (2.08.svn593-1) unstable; urgency=medium

  [ Christopher Knadle ]
  * See main ChangeLog.
  * Upstream snapshot from 2014-04-06
  * original source:
      removed files:
         build-stamp (empty)
         configure-stamp (empty)
         f4fxl-core (unnecessazry binary with no corresponding source)
      fixed these via "dpkg-source --commit", but the binary with
         no corresponding source requires creating a -dfsg source
         tarball if this is to be released into Debian proper
  * debian/copyright: updated for copyright format 1.0
                      (Previously simply said "See license.")
  * debian/compat: updated from 5 to 9
  * debian/control:
      Maintainer: fixed broken email address:
                  <aprx@ham> to <aprx@ham.net>
      Standards-Version: updated from 3.7.2 to 3.9.6
  * debian/rules: update to use 'dh' with overrides and hardening
  * debian/aprx.init: add code to disable starting aprx if STARTAPRX="no"
      is set in /etc/default/aprx.

  [ Colin Tuckley ]
  * Add Homepage field to debian/control
  * Fix minor Lintian warnings in man pages
  * Add $remote_fs to Required-Start & Required-Stop

 -- Colin Tuckley <colint@debian.org>  Sun, 14 Jun 2015 20:24:20 +0100

aprx (2.08.593-1) unstable; urgency=low

  * See main ChangeLog.

 -- aprx maintainer <arpx@ham.net>  Sun, 06 Apr 2014 02:06:07 +0300

aprx (0.0.0-1) unstable; urgency=low

  * Initial debianization.

 -- Kimmo Jukarainen <oh3gnu@ham.net>  Thu,  3 Jan 2008 20:35:29 +0200

=== debian/control ===
Source: aprx
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Chris Knadle <Chris.Knadle@coredump.us>, Colin Tuckley <colint@debian.org>
Build-Depends: debhelper (>= 9), libssl-dev
Standards-Version: 3.9.6
Homepage: http://ham.zmailer.org/oh2mqk/aprx/wiki-Aprx-en.html

Package: aprx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Description: APRS Digipeater and iGate
 Aprx is an APRS specific Digipeater and iGate.
 It supports multiple KISS-TNCs on serial ports  and listening 
 to any kernel AX.25 network interfaces.
 .
 Additional features include a built-in "erlang-monitor" to analyze
 activity level of radio channels.
 .
 This software requires a valid (and unique) ham radio callsign to
 operate fully and is therefore useful mainly for licensed radio
 amateurs.

=== debian/watch ===
version=3
http://ham.zmailer.org/oh2mqk/aprx/aprx-(.*)\.(.*)\.tar.gz

## aprx 2.9.0+dfsg

=== debian/changelog ===
aprx (2.9.0+dfsg-4) unstable; urgency=medium

  * Revert debhelper to 11 to comply with freeze requirements

 -- Dave Hibberd <d@vehibberd.com>  Tue, 18 May 2021 23:45:21 +0100

aprx (2.9.0+dfsg-3) unstable; urgency=medium
  [ Dave Hibberd ]
  * Add debian/gitlab-ci.yml
  * Change installinit behaviour in debian/rules
    - aprx is now disabled by default upon install
    - Belt & Braces interrupting installsystemd too
  * Added patch to modify default config commenting out default callsign
    - Closes: #987332
  [ Debian Janitor]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Update renamed lintian tag names in lintian overrides.

 -- Dave Hibberd <d@vehibberd.com>  Sun, 09 May 2021 23:15:56 +0100

aprx (2.9.0+dfsg-2) unstable; urgency=medium

  * debian/aprx.init
    - Update to rename DAEMON_ARGS variable to DAEMON_OPTS to match
      variable name in /etc/default
  * debian/compat:
    - Update from debhelper compatibility 9 to 11
  * debian/control:
    - Update Build-Depends for debhelper >=11
    - Update Vcs-Browser and Vcs-Git links to point to repository on Salsa
    - Remove Build-Depends libssl-dev and Depends openssl (Closes: #855623)
      Thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc> for
      reporting the bug and examining the compile process.
    - Update Standards-Version to 4.2.1
      Changes:
        - Update copyright-format URL to use https for Debian Policy § 12.5
        - Update Priority: "extra" to "optional" for Debian Policy § 2.5
        - Update aprx.default to remove environment STARTAPRX variable for
          daemon enable/disable for Debian Policy § 9.3.3.1
        - Update aprx.init script to remove /etc/default check for daemon
          enable/disable
        - Add aprx.README.Debian for explanation of using update-rc.d to
          enable/disable daemon for sysvinit, and systemctl commands for
          enable/disable with systemd
        - Update debian/rules for DH_VERBOSE=1 to increase build verbosity
          as requested in Debian Policy § 4.9
  * debian/copyright:
    - Update copyright years for debian/* section
  * debian/patches:
    - Add 02-reproducible-builds.patch to make build reproducible.
      Thanks to Chris Lamb <lamby@debian.org> for filing the bug, including a
      patch with a fix, and finding the Git commit to the fix upstream. :)
      (Closes: #854111)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 27 Sep 2018 03:20:51 +0000

aprx (2.9.0+dfsg-1) unstable; urgency=medium

  * New Upstream Import
  * Removed firmware folder, no license or sources
  * Removed windows folder, no license or attribution given

 -- Dave Hibberd <d@vehibberd.com>  Tue, 24 Jan 2017 19:20:16 +0000

=== debian/control ===
Source: aprx
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Chris Knadle <Chris.Knadle@coredump.us>, Colin Tuckley  <colint@debian.org>, Dave Hibberd <d@vehibberd.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: https://thelifeofkenneth.com/aprx/
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/aprx
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/aprx.git

Package: aprx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: APRS Digipeater and iGate
 Aprx is an APRS specific Digipeater and iGate.
 It supports multiple KISS-TNCs on serial ports  and listening
 to any kernel AX.25 network interfaces.
 .
 Additional features include a built-in "erlang-monitor" to analyze
 activity level of radio channels.
 .
 This software requires a valid (and unique) ham radio callsign to
 operate fully and is therefore useful mainly for licensed radio
 amateurs.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-pthread --sbindir=/usr/sbin \
		--sysconfdir=/etc --localstatedir=/var \
		--mandir=/usr/share/man

override_dh_auto_clean:
	dh_auto_clean
	rm -vf ./test ./aprx-complex.conf Makefile

override_dh_installinit:
	dh_installinit --restart-after-upgrade --no-enable

override_dh_installsystemd:
	dh_installsystemd --no-enable

override_dh_installdirs:
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/aprx logrotate.aprx install
	cp logrotate.aprx debian/aprx.logrotate
	install -m 644 apparmor.aprx $(CURDIR)/debian/aprx/etc/apparmor.d/sbin.aprx

=== debian/watch ===
# debian/watch
# Debian uscan file for 'qsstv' package.
version=4
opts="repack,repacksuffix=+repack,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/" \
https://thelifeofkenneth.com/aprx/release/ \
(?:|.*/)aprx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## aprx 2.9.1

=== doc/man/Makefile ===

default:
	mkdir -p out
	pdflatex -draftmode -output-directory out -jobname aprx-manual main.tex
	pdflatex -output-directory out -jobname aprx-manual main.tex

=== debian/changelog ===
aprx (2.9.1-4) unstable; urgency=medium

  [Adrian Bunk]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15. (Closes: #1096319)

  [Dave Hibberd]
  * d/control
    - Bump standards to 4.7.2
  * d/Watch
    - Bump to V5
  * d/rules
    - Added some config generated files to autoclean
  * d/source/lintian-overrides
    - Updates overrides to reflect d/rules update

 -- Dave Hibberd <hibby@debian.org>  Sat, 20 Sep 2025 17:19:07 +0100

aprx (2.9.1-3) unstable; urgency=medium

  * Added patch for GCC14 FTBFS
    - Closes: #1074814
  * d/control
    - Updated my details
    - Bumped standards

 -- Dave Hibberd <hibby@debian.org>  Tue, 27 Aug 2024 23:06:29 +0100

aprx (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * Install aprx.service, thanks Andreas Henriksson. (Closes: #950952)
  * Drop lsb-base dependency.

 -- Christoph Berg <myon@debian.org>  Thu, 13 Jun 2024 11:03:51 +0200

aprx (2.9.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit
  * Avoid explicitly specifying -Wl,--as-needed linker flag

  [ Dave Hibberd ]
  * New upstream release
  * Upstream have removed windows/* and firmware/* folder, dropped dfsg repackage
  * Patches refreshed
    - Removed 01-man-page.patch
    - Removed 02-reproducible-builds.patch
    - Inserted 05-aprx-stat.patch

  [ Christoph Berg ]
  * debian/watch: Drop repack.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 10:55:09 +0100

aprx (2.9.0+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Dave Hibberd ]
  * Bump dh to 13
  * Remove colint from uploaders, thanks for all your work
    - Closes: #990609
  * Bump standards to 4.6.0.0
  * Added hardening flags to d/rules
    - Clears Lintian hardening-no-fortify-functions tag
  * Updated ssl.* paragraph in d/copyright

  [ Jelmer Vernooĳ ]
  * Set upstream Repository/Repository-Browse fields.

  [ Christoph Berg ]
  * Fix FTBFS with autoconf 2.70. (Closes: #978766)
  * Add Pre-Depends: ${misc:Pre-Depends} for init-system-helpers.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Sep 2021 12:04:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Chris Knadle <Chris.Knadle@coredump.us>, Colin Tuckley  <colint@debian.org>, Dave Hibberd <d@vehibberd.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Uploaders: Chris Knadle <Chris.Knadle@coredump.us>, Dave Hibberd <hibby@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
 Homepage: https://thelifeofkenneth.com/aprx/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/aprx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/aprx.git
 
 Package: aprx
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: APRS Digipeater and iGate
  Aprx is an APRS specific Digipeater and iGate.
  It supports multiple KISS-TNCs on serial ports  and listening

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,16 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -std=gnu17
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 # main packaging script
@@ -28,7 +29,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -vf ./test ./aprx-complex.conf Makefile
+	rm -vf ./test ./aprx-complex.conf Makefile config.log config.status
 
 override_dh_installinit:
 	dh_installinit --restart-after-upgrade --no-enable

=== debian/watch ===
version=5
https://thelifeofkenneth.com/aprx/release/ \
(?:|.*/)aprx(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
